Get all bookings.

Prev Next
Get
/api/v1/Dooh/Bookings/{bookingId}
Security
API Key: bearerAuth
Query parameter name
API Key: session_id
Header parameter nameX-Session-Id

Session Id

API Key: api_key
Header parameter nameX-ApiKey

Api Key

API Key: session_cookie
Query parameter name
Path parameters
bookingId
integer (int32) Required
Responses
200

OK

Expand All
object

Represents an advertising booking, including campaign details, assigned players, and playback targets.

id
integer (int32)

Gets or sets the unique identifier for the booking.

spotId
integer (int32)

Gets or sets the identifier of the associated spot.

productId
integer (int32)

Gets or sets the identifier of the associated product.

clientId
integer (int32)

Gets or sets the identifier of the client.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

state
string

Represents the possible states of a booking in the advertising booking system.

Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ]
from
string (date-time)

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time)

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location ids.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
Expand All
object

Represents an advertising booking, including campaign details, assigned players, and playback targets.

id
integer (int32)

Gets or sets the unique identifier for the booking.

spotId
integer (int32)

Gets or sets the identifier of the associated spot.

productId
integer (int32)

Gets or sets the identifier of the associated product.

clientId
integer (int32)

Gets or sets the identifier of the client.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

state
string

Represents the possible states of a booking in the advertising booking system.

Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ]
from
string (date-time)

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time)

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location ids.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
Expand All
object

Represents an advertising booking, including campaign details, assigned players, and playback targets.

id
integer (int32)

Gets or sets the unique identifier for the booking.

spotId
integer (int32)

Gets or sets the identifier of the associated spot.

productId
integer (int32)

Gets or sets the identifier of the associated product.

clientId
integer (int32)

Gets or sets the identifier of the client.

campaign
string | null

Gets or sets the campaign name.

brand
string | null

Gets or sets the brand name.

description
string | null

Gets or sets the booking description.

state
string

Represents the possible states of a booking in the advertising booking system.

Valid values[ "Registered", "Reserved", "ReservedWaitingList", "Ordered", "Running", "Canceled", "Completed" ]
from
string (date-time)

Gets or sets the booking start time.

Example2024-04-15T08:00:00Z
to
string (date-time)

Gets or sets the booking end time.

Example2024-04-30T20:00:00Z
validDayTimes
Array of object (TimeRange) | null

Gets or sets the valid time periods. If omitted, booking will play all day long.

object

Represents a time range with a start and end time in "HH:mm" format.

from
string | null

Gets or sets the start time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example08:00
to
string | null

Gets or sets the end time in "HH:mm" format.

Pattern\d{2}:\d{2}
Example22:00
liveTags
Array of object (LiveTag) | null

Gets or sets the live tags. Only applicable for LiveTag products.

object

Represents a live tag with a parent tag and associated child tag ids.

parentTagId
integer (int32)

Gets or sets the identifier of the parent tag.

childTagIds
Array of integer | null

Gets or sets the list of child tag ids.

integer (int32)
playerIds
Array of integer | null

Gets or sets the assigned player IDs.

integer (int32)
externalLocationIds
Array of string | null

Gets or sets the assigned external location ids.

string
targetPlaybacks
integer (int32) | null

Gets or sets the target playback count. Only applicable for LiveTag and Playback products.

Example10000
targetShareOfVoicePercentage
integer (int32) | null

Gets or sets the target percentage. Only applicable for ShareOfVoice products.

Minimum0.0
Maximum100.0
Example10
targetFrequency
integer (int32) | null

Gets or sets the target frequency. Only applicable for Frequency products.

Example120
401

Unauthorized

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
404

Not Found

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
default

Error

object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*
object
type
string | null
title
string | null
status
integer (int32) | null
detail
string | null
instance
string | null
property*